package domain

type AlibabaHmMarketingItemdiscountCreateactivityPeriodConfig struct {
	/*
	   每天的那些时间段生效     */
	EveryDayPeriods *[]string `json:"every_day_periods,omitempty" `

	/*
	   一周的哪几天生效     */
	Weekdays *[]int32 `json:"weekdays,omitempty" `
}

func (s *AlibabaHmMarketingItemdiscountCreateactivityPeriodConfig) SetEveryDayPeriods(v []string) *AlibabaHmMarketingItemdiscountCreateactivityPeriodConfig {
	s.EveryDayPeriods = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountCreateactivityPeriodConfig) SetWeekdays(v []int32) *AlibabaHmMarketingItemdiscountCreateactivityPeriodConfig {
	s.Weekdays = &v
	return s
}
